package cn.com.qmth.examcloud.service.core.repo;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import cn.com.qmth.examcloud.service.core.entity.Org;
import cn.com.qmth.examcloud.service.core.entity.OrgFunction;

public interface OrgFunctionRepo extends JpaRepository<OrgFunction, Long>, QueryByExampleExecutor<OrgFunction> {
	
	@Query(nativeQuery = true, value = "select * from ecs_core_org t where t.parent_id = 0 and t.enable = 1 order by t.id")
	List<Org> findByOrgId(@Param("orgId") long orgId);

}
